Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://davinci-app.com/api/v2/programmatic/health \ --header 'Authorization: Bearer <token>'
import osfrom davinci_sdk import DavinciClientwith DavinciClient(api_key=os.environ["DAVINCI_API_KEY"]) as client: health = client.get_health() print(health.status)
import { DavinciClient } from '@celedon/davinci-sdk';const client = new DavinciClient({ apiKey: process.env.DAVINCI_API_KEY!,});const health = await client.getHealth();console.log(health.status);
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://davinci-app.com/api/v2/programmatic/health', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "success": true, "data": { "status": "<string>", "version": "<string>", "timestamp": "2023-11-07T05:31:56Z" } }
Returns a lightweight health payload for the public programmatic API.
Personal access token. Programmatic reads require the projects:read scope.
Programmatic API health status.
Hide child attributes